Create Circles, Divide and Connect Points from Gh to Py

I think you are running into a “list of lists” issue. There are 2 options that you could do, (as your code exists).
1 : use an additional python component by simply setting a = x

2: use an additional import statement to access a “list to data tree” function (Rhino 6 only)

import rhinoscriptsyntax as rs
import ghpythonlib as gh

start = S
step = N
count = C

radii = [start + (i * step) for i in range(int(count))]

a = []
for i in radii:
    circles = rs.AddCircle([0, 0, 0], i)
    a.append(circles)

b = []
segs = E
for i in a:
    pts = rs.DivideCurve(i, segs)
    b.append(pts)

a = gh.treehelpers.list_to_tree(a, True, [0])
b = gh.treehelpers.list_to_tree(b, True, [0])